Exploit/Advisories no image

Published on May 10th, 2024 📆 | 2225 Views ⚑

0

Red Hat Security Advisory 2024-2799-03 – Torchsec


iSpeech

The following advisory data is extracted from:

https://access.redhat.com/security/data/csaf/v2/advisories/2024/rhsa-2024_2799.json

Red Hat officially shut down their mailing list notifications October 10, 2023. Due to this, Packet Storm has recreated the below data as a reference point to raise awareness. It must be noted that due to an inability to easily track revision updates without crawling Red Hat's archive, these advisories are single notifications and we strongly suggest that you visit the Red Hat provided links to ensure you have the latest information available if the subject matter listed pertains to your environment.

- Packet Storm Staff

====================================================================
Red Hat Security Advisory

Synopsis: Important: glibc security update
Advisory ID: RHSA-2024:2799-03
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2024:2799
Issue date: 2024-05-09
Revision: 03
CVE Names: CVE-2024-2961
====================================================================

Summary:

An update for glibc is now available for Red Hat Enterprise Linux 8.6 Extended Update Support.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Description:

The glibc packages provide the standard C libraries (libc), POSIX thread libraries (libpthread), standard math libraries (libm), and the name service cache daemon (nscd) used by multiple programs on the system. Without these libraries, the Linux system cannot function correctly.

Security Fix(es):

* glibc: Out of bounds write in iconv may lead to remote code execution (CVE-2024-2961)





* glibc: stack-based buffer overflow in netgroup cache (CVE-2024-33599)

* glibc: null pointer dereferences after failed netgroup cache insertion (CVE-2024-33600)

* glibc: netgroup cache may terminate daemon on memory allocation failure (CVE-2024-33601)

* glibc: netgroup cache assumes NSS callback uses in-buffer strings (CVE-2024-33602)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution:

https://access.redhat.com/articles/11258

CVEs:

CVE-2024-2961

References:

https://access.redhat.com/security/updates/classification/#important
https://bugzilla.redhat.com/show_bug.cgi?id=2273404
https://bugzilla.redhat.com/show_bug.cgi?id=2277202
https://bugzilla.redhat.com/show_bug.cgi?id=2277204
https://bugzilla.redhat.com/show_bug.cgi?id=2277205
https://bugzilla.redhat.com/show_bug.cgi?id=2277206

Source link

Tagged with:



Leave a Reply

Your email address will not be published.